Package com.ngrok.definitions

# Class EndpointWebhookValidation.Builder

java.lang.Object
com.ngrok.definitions.EndpointWebhookValidation.Builder

Enclosing class:
  EndpointWebhookValidation

public static class EndpointWebhookValidation.Builder extends Object
Builder class for `EndpointWebhookValidation`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointWebhookValidation`
  `build()`
  Constructs the `EndpointWebhookValidation` instance.
  `EndpointWebhookValidation.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointWebhookValidation.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointWebhookValidation.Builder`
  `provider(String provider)`
  a string indicating which webhook provider will be sending webhooks to this endpoint.
  `EndpointWebhookValidation.Builder`
  `provider(Optional<String> provider)`
  a string indicating which webhook provider will be sending webhooks to this endpoint.
  `EndpointWebhookValidation.Builder`
  `secret(String secret)`
  a string secret used to validate requests from the given provider.
  `EndpointWebhookValidation.Builder`
  `secret(Optional<String> secret)`
  a string secret used to validate requests from the given provider.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointWebhookValidation.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointWebhookValidation.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### provider

    public EndpointWebhookValidation.Builder provider(String provider)
    a string indicating which webhook provider will be sending webhooks to this endpoint. Value must be one of the supported providers: `SLACK`, `SNS`, `STRIPE`, `GITHUB`, `TWILIO`, `SHOPIFY`, `GITLAB`, `INTERCOM`, `SENDGRID`, `XERO`, `PAGERDUTY`.
    Parameters:
      `provider` - the value of the `provider` parameter as a `String`
    Returns:
      this builder instance

  - ### provider

    public EndpointWebhookValidation.Builder provider(Optional<String> provider)
    a string indicating which webhook provider will be sending webhooks to this endpoint. Value must be one of the supported providers: `SLACK`, `SNS`, `STRIPE`, `GITHUB`, `TWILIO`, `SHOPIFY`, `GITLAB`, `INTERCOM`, `SENDGRID`, `XERO`, `PAGERDUTY`.
    Parameters:
      `provider` - the value of the `provider` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### secret

    public EndpointWebhookValidation.Builder secret(String secret)
    a string secret used to validate requests from the given provider. All providers except AWS SNS require a secret
    Parameters:
      `secret` - the value of the `secret` parameter as a `String`
    Returns:
      this builder instance

  - ### secret

    public EndpointWebhookValidation.Builder secret(Optional<String> secret)
    a string secret used to validate requests from the given provider. All providers except AWS SNS require a secret
    Parameters:
      `secret` - the value of the `secret` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointWebhookValidation build()
    Constructs the `EndpointWebhookValidation` instance.
    Returns:
      a new `EndpointWebhookValidation`